package eu.univento.core.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.event.block.BlockPlaceEvent;

import eu.univento.core.api.Settings;
import eu.univento.core.api.player.CustomPlayer;
import eu.univento.core.commands.Build;

/**
 * cancels building
 * @author joethei
 * @version 1.0
 */
public class Blocks implements Listener{
	
	/**
	 * @param e BlockPlaceEvent
	 */
	@EventHandler
	public void onBlockPlace(BlockPlaceEvent e) {
		CustomPlayer p = CustomPlayer.getPlayer(e.getPlayer().getName());
		if(Settings.isBuild()) {
			if(!Build.getPlayers().contains(p)) {
				e.setCancelled(true);
			}
		}
	}
	
	/**
	 * @param e BlockBreakEvent
	 */
	@EventHandler
	public void onBlockBreak(BlockBreakEvent e) {
		CustomPlayer p = CustomPlayer.getPlayer(e.getPlayer().getName());
		if(Settings.isBuild()) {
			if(!Build.getPlayers().contains(p)) {
				e.setCancelled(true);
			}
		}
		
	}

}